#ifndef DefaultOptions_h
#define DefaultOptions_h

// $Id: DefaultOptions.h,v 1.24 2014/02/18 15:15:56 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "MainWindow.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! default options installer
void installDefaultOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<Base::Color>( "IDENTIFY_COLOR", QColor( Qt::black ) );
    XmlOptions::get().set<Base::Color>( "SERVER_COLOR", QColor("#aa0000") );
    XmlOptions::get().set<int>( "VERBOSITY", MainWindow::VerbosityLow );
    XmlOptions::get().set<int>( "MAIN_WINDOW_WIDTH", 450 );
    XmlOptions::get().set<int>( "MAIN_WINDOW_HEIGHT", 200 );
    XmlOptions::get().set<int>( "DEBUG_LEVEL", 0 );
    XmlOptions::get().set<bool>( "SHOW_ICONS", true );

    XmlOptions::get().set( "RC_FILE", Option( File(".serverlogrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

}

#endif
