#ifndef Menu_h
#define Menu_h

// $Id: Menu.h,v 1.8 2014/02/18 15:15:56 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/


#include "Debug.h"
#include "Counter.h"

#include <QMenuBar>
class Menu:public QMenuBar, public Counter
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    //! creator
    Menu( QWidget* parent );

    //! destructor
    ~Menu( void )
    { Debug::Throw() << "Menu::~Menu.\n"; }

    private Q_SLOTS:

    //! update verbosity menu
    void _updateVerbosityMenu( void );

    //! toggle verbosity
    void _toggleVerbosity( QAction* );

    private:

    //! verbosity menu
    QMenu* verbosityMenu_;

    //! verbosity button id
    QAction* verbosityLow_;

    //! verbosity button id
    QAction* verbosityHigh_;

};

#endif
